<?xml version="1.0" encoding="UTF-8"?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>HELP: Boot Manager</title>
</head>
<body>
<h1>HELP: Boot Manager</h1>
<img src="BootOptions.png" alt="Boot Manager"  />

<h2 id="Introduction"><a id="Introduction" name="Introduction"></a>Introduction</h2>

<p>This Tool is designed to make common user start-up choices faster and easier. It is not intended to cover advanced boot options, for which the user should consult<a href="https://wiki.archlinux.org/title/kernel_parameters"> this Wiki page</a> instead.</p>

<h2 id="Options"><a id="Options" name="Options"></a>Options</h2>

<p><u>Menu timeout</u>: how long the <a href="https://opensource.com/article/17/3/introduction-grub2-configuration-linux">GRUB</a> screen remains visible until the boot process begins. If you put a zero in, the GRUB screen will simply not show at all (technically, it sets GRUB_TIMEOUT=0 in <em>/etc/default/grub</em>)</p>

<p><u>Boot To</u>:&nbsp; Select the grub boot menu entry that will be used as default on next boot.</p>

<p><u>Enable saving last boot choice</u>:&nbsp; Instruct grub to use whatever you last&nbsp;selected from the grub boot menu as the new default</p>

<p><u>Use flat menus</u>:&nbsp; Instructs grub to create a grub menu with the subcategories merged into the top level grub&nbsp;menu.</p>

<h2 id="Background"><a id="Background" name="Background"></a>Background</h2>

<p>Using the choices here, the user can select a background wallpaper for the standard GRUB display (technically, sets GRUB_BACKGROUND=/path/filename<em>)</em>.</p>

	<ul>
		<li>PNG files will be more satisfactory than JPG because it allows more colors,</li>
		<li>Image should be non-indexed, RGB (GIMP can do this).</li>
		<li>A size of 800&#215;450 tends to work well.</li>
	</ul>

<p>Complete GRUB themes are also available from the pull-down menu&nbsp;that offer a more polished look.</p>

<h2 id="Splash"><a id="Splash" name="Splash"></a>Splash</h2>

<p>It is possible to see a graphical display while the system boots making use of the application Plymouth, originally developed by <a href="https://getfedora.org/">Fedora</a>.</p>

<p><u>Enable</u>:&nbsp; Enable Plymouth.&nbsp; Plymouth will be installed if necessary.</p>

<p><u>Theme</u>:&nbsp; Select a theme for Plymouth to use.</p>

<p><u>Preview</u>:&nbsp; Display the Plymouth theme selected.&nbsp; The splash will be displayed for approximately 5 seconds then return to the boot manager gui.&nbsp; The preview button may not work upon first install of Plymouth but should work OK after a reboot of the machine.</p>


<h2 id="Messages"><a id="Messages" name="Messages"></a>Messages</h2>

<p><u>Very Detailed</u>:&nbsp; Removes the &#8220;quiet&#8221; boot parameter, showing many normally hidden scrolling boot text messages.</p>

<p><u>Detailed:</u>&nbsp; The normal default boot message setup, with &#8220;quiet&#8221; enabled in the boot parameters.&nbsp; This basically shows warnings and init messages, but not kernel messages.</p>

<p><u>Limited</u>:&nbsp; Hides all but error boot messages.</p>

<p><u>Display Log<em>:</em></u><em>&nbsp;&nbsp;</em>Displays the boot log appropriate for the current boot conditions.</p>

<p>Boot Manager currently only works on the grub configuration installed with your distribution.&nbsp; It is possible, from&nbsp; live-Media, to use Boot Manager to configure the grub configurations on other &#8220;installed&#8221; partitions.<a id="Tips and tricks" name="Tips and tricks"></a></p>


<h2 id="Tips-and-tricks"><a name="Tips and tricks"></a>Tips and tricks</h2>

	<ul>
		<li>Boot Manager currently only works on the grub configuration installed with your distribution.&nbsp; It is possible, from&nbsp; live-Media, to use Boot Manager to configure the grub configurations on other &#8220;installed&#8221; partitions.</li>
		<li>If you use a splash, you can press Esc at any point to return to the boot messages.</li>
		<li>For <u>advanced</u> boot options that involve cheat codes (kernel parameters), consult <a href="https://wiki.archlinux.org/title/kernel_parameters">this WIki page</a>.</li>
	</ul>

<h2 id="Create-your-own-theme"><a id="Create your own theme" name="Create your own theme"></a>Create your own theme</h2>

<p>So, you might be asking yourself: how can I create a splash theme?</p>

<p><strong><u>Complicated answer</u></strong>: covered by <a class="postlink" href="http://brej.org/blog/?p=174" rel="nofollow">a series of blog posts</a> linked below.</p>
<p><strong><u>Simplest answer</u></strong>: you adapt one that already exists and works. This is what we have done to generate some of those in the beta splash theme package. Example:</p>

	<ul>
		<li>User Gerson first found the beautiful animated theme dandelion, and switched the logo. We then substituted <a class="postlink" href="https://gitlab.com/liya5/generic-apps">a different logo</a> and deleted the existing Debian one. Ta-dah!</li>
	</ul>

<p><strong>NOTE</strong>: if you change any logo or background you must revise the *.plymouth file as indicated above.</p>

<h2 id="Links"><a id="Links" name="Links"></a>Links</h2>

	<ul>
		<li><a href="https://www.freedesktop.org/wiki/Software/Plymouth/">Freedesktop page</a></li>
		<li><a href="http://brej.org/blog/?p=174">Plymouth theming guide</a></li>
		<li><a href="https://www.gnome-look.org/browse/cat/108/ord/latest/">Gnome-look.org</a></li>
	</ul>


<hr class="wp-block-separator"/>

<h6><strong>v. 20180809</strong></h6>
		
</body>
</html>
